import request from "@/utils/request";
// 修改
export function updateAssessmentRules(data) {
  return request({
    url: "/postCheck/postAssessmentRules",
    method: "put",
    data: data,
  });
}

// 新增
export function addAssessmentRules(data) {
  return request({
    url: "/postCheck/postAssessmentRules",
    method: "post",
    data: data,
  });
}

// 查询详细
export function getAssessmentRules(Id) {
  return request({
    url: "/postCheck/postAssessmentRules/" + Id,
    method: "get",
  });
}
// 删除
export function delAssessmentRules(Id) {
  return request({
    url: "/postCheck/postAssessmentRules/" + Id,
    method: "delete",
  });
}

// 查询列表
export function listAssessmentRules(query) {
  return request({
    url: "/postCheck/postAssessmentRules/list",
    method: "get",
    params: query,
  });
}
// 考核规则-审核
export function statusApprove(data) {
    return request({
      url: "/postCheck/postAssessmentRules/statusApprove",
      method: "put",
      params: data,
    });
  }
  // 考核规则审核-职能
  export function statusFunctions(data) {
    return request({
      url: "/postCheck/postAssessmentRules/statusFunctions",
      method: "put",
      params: data,
    });
  }
// 考核规则审核-生产
  export function statusProduction(data) {
    return request({
      url: "/postCheck/postAssessmentRules/statusProduction",
      method: "put",
      params: data,
    });
  }
